.header {
  position: fixed;
  top: 0;
  left: 0;
  box-shadow: 0px 2px 10px 0px rgba(var(--sub-color-rgb), 0.2);
  z-index: 999;
}

.headerContainer {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1rem;
  height: var(--header-size);
}
/* Logo */
.logo {
  font-size: var(--logo-size);
  font-weight: 700;
  color: var(--orange-color);
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-family: var(--hand-write);
}

.logo:hover svg {
  animation: headerIconAnim 3s ease 0s infinite alternate forwards;
}

.mobileLogo {
  display: none;
  height: 56px;
  width: 56px;
  color: var(--black-color);
  cursor: pointer;
}

.mobileLogo:hover {
  animation: headerIconAnim 3s ease 0s infinite alternate forwards;
}

.mobileLogo > svg {
  width: 100%;
  height: 100%;
}

/* Search */
.search {
  position: relative;
  color: var(--sub-color);
}

.search > input {
  height: 50px;
  width: 500px;
  padding: 16px 20px;
  border-radius: 50px;
  color: var(--sub-color);
  font-size: 16px;
  font-weight: 700;
}

.search > input::placeholder {
  color: var(--sub-color);
  opacity: 0.5;
}

.search > svg {
  position: absolute;
  top: 50%;
  right: 4%;
  transform: translateY(-50%);
  height: 20px;
  width: 20px;
  cursor: pointer;
}

/* Mobile Shop Name */
.mobileShopName {
  display: none;
}

.mobileShopName > h1 {
  font-size: 48px;
  color: var(--black-color);
}

/* Nav Group */
.navGroup {
  display: flex;
  gap: 2rem;
  color: var(--orange-color);
}

.navGroup > .navItem {
  display: flex;
  flex-direction: column;
  align-items: center;
  cursor: pointer;
  gap: 4px;
  color: var(--black-color);
  transition: var(--transition-all);
}

.navGroup > .navItem > .navIcon {
  width: 28px;
  height: 28px;
}
.navGroup > .navItem > .navIcon.aboutUsIcon {
  font-size: 28px;
  color: var(--orange-color);
}

.navGroup > .navItem:hover {
  transform: scale(1.15);
}

.navGroup > .navItem > .navDesc.active {
  background-color: var(--white-color);
  color: var(--black-color);
  padding: 0 8px;
  border-radius: 10px;
  transition: var(--transition-all);
  /* Box Shadow */
  box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.1);
}

.navGroup > .navItem:hover > .navDesc.active {
  background-color: var(--black-color);
  color: var(--white-color);
  /* Box Shadow */
  box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.4);
  -webkit-box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.4);
  -moz-box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.4);
}

.navGroup > .navItem > .navIcon > svg {
  width: 100%;
  height: 100%;
}

.navGroup > .navItem > .navDesc {
  text-align: center;
  font-size: 16px;
}

/* Mobile Nav */
.mobileNavGroup {
  display: none;
}

.mobileNavGroup > .mobileNavIcon > svg {
  cursor: pointer;
  color: var(--black-color);
}

/* ************************ Animation ********************** */
@keyframes headerIconAnim {
  0%,
  100% {
    transform: rotate(0deg);
    transform-origin: 50% 100%;
  }

  10% {
    transform: rotate(2deg);
  }

  20%,
  40%,
  60% {
    transform: rotate(-6deg);
  }

  30%,
  50%,
  70% {
    transform: rotate(6deg);
  }

  80% {
    transform: rotate(-2deg);
  }

  90% {
    transform: rotate(2deg);
  }
}

/*  **************  MEDIA QUERIES ( MEDIUM DEVICES )  ****************  */
@media screen and (max-width: 1024px) {
  .logo {
    display: none;
  }
  .mobileLogo {
    display: flex;
    align-items: center;
    justify-content: center;
  }
}

@media screen and (max-width: 856px) {
  .navGroup {
    display: none;
  }

  .mobileNavGroup {
    display: block;
  }

  .mobileNavIcon {
    width: 36px;
    height: 36px;
    color: var(--orange-color);
  }

  .mobileNavIcon > svg {
    width: 100%;
    height: 100%;
  }

  .search > input {
    width: 300px;
  }
}

/*  **************  MEDIA QUERIES ( SMALL DEVICES )  ****************  */
@media screen and (max-width: 500px) {
  .search {
    display: none;
  }
  .mobileShopName {
    display: block;
    font-family: var(--hand-write);
  }
}
